<?php
//
// Created on: 15 Mar 2001
// Usage     : alarmframe.php?language="eng|gb"&bssid=0
//
// Function  : Contain the alarmfilter.php and alarmevent.php frame
//
// alarmframe.php ___ alarmfilter.php(upper)
//                \__ alarmevent.php (bottom)
//
?>
<?php
include("nocache.inc");
if (!isset($language))
    $language="eng";
?>
<html>
<head>
</head>
    <frameset rows="16%,*" frameborder=no border=0 framespacing=0>
        <frame frameborder=no framespacing=0 name=contents noresize target='upper'
         src='alarmfilter.php?language=<?=$language?>&bssid=<?=$bssid?>'>;
<?php
    /*
     * Transfer filter parameters to alarmevent.php
     */
    echo "<frame frameborder=no framespacing=0 name=bottom src=alarmevent.php?language=$language&bssid=$bssid";
    if (isset($perBssid))
        echo "&perBssid=$perBssid";
    if (isset($perSeverity))
        echo htmlspecialchars("&perSeverity=$perSeverity");
    if (isset($perObjectid))
        echo "&perObjectid=$perObjectid";
    if (isset($perStartPeriod))
        echo "&perStartPeriod=$perStartPeriod";
    if (isset($perEndPeriod))
        echo "&perEndPeriod=$perEndPeriod";
    if (isset($perSignal_Element))
        echo "&perSignal_Element=$perSignal_Element";
    echo ">";
?>
        <noframes>
            <body>
            <p>This page uses frames, but your browser doesn't support them.</p>
            </body>
        </noframes>
    </frameset>
</frameset>
</html>
